> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of jobs associated with a model



## OpenAPI

````yaml /api-specs/cloud/dmm.yaml post /model-monitor/v2/api/{model_id}/dataset-jobs
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/{model_id}/dataset-jobs:
    summary: Get the list of jobs associated with a model
    parameters:
      - in: path
        name: model_id
        schema:
          type: string
        required: true
        description: Identifier of the model
    post:
      tags:
        - DatasetJob
      summary: Get the list of jobs associated with a model
      operationId: getDatasetJobs
      requestBody:
        required: true
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/jobHistoryRequest'
      responses:
        '200':
          description: Gets the list of jobs for the model
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/listJobResponse'
        '404':
          description: Dataset not found for the given identifier.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    jobHistoryRequest:
      title: List Dataset Jobs
      description: List the dataset jobs associated with a model
      type: object
      required:
        - start
        - end
        - pagination
      properties:
        start:
          description: Start Date for the Dataset range
          type: integer
        end:
          description: End Date for the Dataset range
          type: integer
        pagination:
          $ref: '#/components/schemas/jobPagination'
        search:
          description: Search key for dataset name
          type: string
        filters:
          $ref: '#/components/schemas/jobDashboardFilter'
    listJobResponse:
      type: object
      required:
        - total
        - jobs
      properties:
        total:
          description: >-
            Total number of jobs qualified for the query sent, without
            pagination
          type: integer
        jobs:
          type: array
          description: List of jobs by pagination
          items:
            $ref: '#/components/schemas/jobHistoryResponse'
    jobPagination:
      title: Pagination Object
      description: This is used to fetch the result in a paginated manner
      type: object
      required:
        - order
        - sort
        - page
        - size
      properties:
        order:
          description: The sorting order, 1 for ascending and -1 for descending
          type: integer
          enum:
            - 1
            - -1
        sort:
          description: The sorting key to be used
          type: string
          enum:
            - created_at
            - records
        page:
          description: The page number for the data to be fetched
          type: integer
        size:
          description: The page size to be used for fetching the data
          type: integer
    jobDashboardFilter:
      title: Dataset Job Dashboard Filter
      description: Filter keys for dataset job dashboard
      type: object
      properties:
        status:
          description: Status of the dataset job
          type: array
          items:
            type: string
            enum:
              - pending
              - processing
              - done
              - failed
              - skipped
        job_type:
          description: Type of the dataset job
          type: array
          items:
            $ref: '#/components/schemas/jobType'
    jobHistoryResponse:
      title: Dataset Job
      description: Dataset Job summary for history
      type: object
      required:
        - job_id
        - dataset_id
        - dataset_name
        - datasource_name
        - datasource_type
        - job_type
        - registered_on
        - status
        - dataset_path
        - infos
        - errors
        - warnings
      properties:
        job_id:
          description: Unique Identifier of a dataset job
          type: string
        dataset_id:
          description: Unique Identifier of a dataset
          type: string
        feature_set_details:
          $ref: '#/components/schemas/featureSetDetails'
        actionable_insights_details:
          $ref: '#/components/schemas/actionableInsightsDetails'
        dataset_name:
          description: Name of the dataset associated with the job
          type: string
        datasource_name:
          description: Name of the datasource, the dataset belongs to
          type: string
        datasource_type:
          $ref: '#/components/schemas/datasourceType'
        job_type:
          description: Type of the dataset job, such as training, prediction
          type: string
          enum:
            - training
            - prediction
            - ground_truth
            - actionable_insights
        registered_on:
          description: The timestamp, when dataset was registered on
          type: integer
        records:
          description: Number of records processed in the dataset job
          type: integer
        status:
          description: Processing status of the dataset job
          type: string
          enum:
            - pending
            - processing
            - done
            - failed
            - skipped
        dataset_path:
          description: The path of the dataset
          type: string
        errors:
          description: list of errors encountered during the job processing
          type: array
          items:
            type: string
        warnings:
          description: list of warnings encountered during the job processing
          type: array
          items:
            type: string
        infos:
          description: list of infos encountered during the job processing
          type: array
          items:
            type: string
    jobType:
      description: Type of processing, can be training or prediction.
      type: string
    featureSetDetails:
      required:
        - featureSetId
        - featureSetVersionId
      properties:
        featureSetId:
          description: The version id for the current feature set version.
          type: string
        featureSetVersionId:
          description: >-
            The feature set id of the feature set to which the current feature
            set version belongs to.
          type: string
    actionableInsightsDetails:
      properties:
        domino_job_url:
          description: The URL of the Domino Job.
          type: string
        domino_results_url:
          description: URL at which the results can be accessed.
          type: string
    datasourceType:
      description: Type of the datasource to which the dataset belongs.
      type: string
      enum:
        - s3
        - generic_s3
        - azure_blob
        - azure_data_lake_gen_2
        - google_cloud_storage
        - azure_data_lake_gen_1
        - hdfs
        - nfs
        - snowflake
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````